Eclipse Platform Release 3.7

## org.eclipse.debug.core
Interface ILaunchListener

All Known Implementing Classes:
  AbstractSourceLookupDirector, Launch

    public interface ILaunchListener

A launch listener is notified of launches as they are added and removed from the launch manager. Also, when a process or debug target is added to a launch, listeners are notified of a change.

Clients may implement this interface.

See Also:
  `ILaunch`, `ILaunchesListener`

Method Summary
`void` `launchAdded(ILaunch launch)` Notifies this listener that the specified launch has been added.
`void` `launchChanged(ILaunch launch)` Notifies this listener that the specified launch has changed.
`void` `launchRemoved(ILaunch launch)` Notifies this listener that the specified launch has been removed.

Method Detail

### launchRemoved

    void launchRemoved(ILaunch launch)

  Notifies this listener that the specified launch has been removed.

  Parameters:
    `launch` - the removed launch
  Since:
    2.0

### launchAdded

    void launchAdded(ILaunch launch)

  Notifies this listener that the specified launch has been added.

  Parameters:
    `launch` - the newly added launch
  Since:
    2.0

### launchChanged

    void launchChanged(ILaunch launch)

  Notifies this listener that the specified launch has changed. For example, a process or debug target has been added to the launch.

  Parameters:
    `launch` - the changed launch
  Since:
    2.0

Eclipse Platform Release 3.7

Guidelines for using Eclipse APIs.

Copyright (c) Eclipse contributors and others 2000, 2011. All rights reserved.